import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryPlanCity } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-06-01 13:27
 */
interface AdDeliveryPlanCityCU extends ConditionUtil<AdDeliveryPlanCityCU> {
    AD_DELIVERY_PLAN_ID: FieldUtil<AdDeliveryPlanCityCU>;
    CITY_ID: FieldUtil<AdDeliveryPlanCityCU>;
    PROV_ID: FieldUtil<AdDeliveryPlanCityCU>;
    DEL_FLAG: FieldUtil<AdDeliveryPlanCityCU>;
}
declare class AdDeliveryPlanCityMU extends TableUtilImpl<AdDeliveryPlanCityCU, AdDeliveryPlanCity> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryPlanCityCU;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanCityCU>;
    static get CITY_ID(): FieldUtil<AdDeliveryPlanCityCU>;
    static get PROV_ID(): FieldUtil<AdDeliveryPlanCityCU>;
    static get DEL_FLAG(): FieldUtil<AdDeliveryPlanCityCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanCityCU>;
    get CITY_ID(): FieldUtil<AdDeliveryPlanCityCU>;
    get PROV_ID(): FieldUtil<AdDeliveryPlanCityCU>;
    get DEL_FLAG(): FieldUtil<AdDeliveryPlanCityCU>;
}
export { AdDeliveryPlanCityMU, AdDeliveryPlanCityCU };
